%define ver    4.0.3
%define momorel 4

Name: fml
Version: %{ver}
Release: %{momorel}m
License: GPL
URL: http://www.fml.org/
# Source: ftp://ftp.fml.org/pub/fml/stable/%{name}-%{ver}-%{snapshot}.tar.gz
Source: ftp://ftp.fml.org/pub/fml/release/%{name}-%{ver}.tar.gz
NoSource: 0
# Source1: fmlmake
Group: System Environment/Daemons
Summary: mailing list server and utility package
PreReq: net-tools, sed
Requires: perl >= 5.0
Requires: sharutils
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: expect
BuildPreReq: findutils, perl
AutoReqProv: 0


%description 
FML is a package of mailing list server and utility programs. It
consists of perl scripts.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/var/
mkdir -p %{buildroot}/usr/share/fml
mkdir -p %{buildroot}/usr/share/fml/doc/man
mkdir -p %{buildroot}/usr/share/fml/sbin

# cp %{SOURCE1} ./
if [ -f fmlmake ]; then rm -f fmlmake ; fi

cat <<-EOF >> ./fmlmake
set timeout 60

spawn perl ./makefml install

expect "personal"
send "personal\n"
expect "DOMAIN NAME"
send "domainname\n"
expect "FQDN"
send "hostname\n"
expect "EXEC FILES DIRECTORY"
send "%{buildroot}/usr/share/fml\n"
expect "TOP LEVEL ML DIRECTORY"
send "%{buildroot}/var/spool/ml\n"
expect "Language"
send "English\n"
# send "Japanese\n"
expect "TimeZone"
send "\n"
expect "Install"
send "y\n"

interact
EOF

/usr/bin/expect ./fmlmake
rm ./fmlmake

find %{buildroot} -type f | xargs perl -p -i -e "s|/var/tmp/%{name}-%{version}-root||g"

rm -f %{buildroot}/usr/share/fml/Configurations
ln -sf /usr/share/fml/.fml %{buildroot}/usr/share/fml/Configurations

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/groupadd -g 41 fml > /dev/null 2>&1
/usr/sbin/useradd -c "FML user" -g fml -d /usr/share/fml -M -u 41 fml > /dev/null 2>&1
exit 0

%post
cd /usr/share/fml/.fml
FQDN=`hostname`
HOSTNAME=`hostname -d`
sed -e s/hostname/$FQDN/g system > system.$$
mv system.$$ system
sed -e s/domainname/$HOSTNAME/g system > system.$$
mv system.$$ system
exit 0

%preun
if [ "$1" = "0" ]; then
    /usr/sbin/userdel fml 2>/dev/null || :
    /usr/sbin/groupdel fml 2>/dev/null || :
fi

%files
%defattr(-,fml,fml)
/var/spool/ml
/usr/share/fml

%changelog
* Wed Jul 21 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0.3-4m)
- add uid/gid

* Thu Oct 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-3m)
- delete define prefix
- add Requires: sharutils for use uuencode

* Wed Mar 12 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (fml-4.0.3-2m)
- change fml user homedir -> /usr/share/fml

* Mon Dec 23 2002 YAMAGUCHI Kenji <yamk@momonga-linux.org>
- (fml-4.0.3-1m)
- update to 4.0.3 release (2002-12-02)

* Mon Oct  7 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (fml_4.0_stable_20021003-1m)
- update 4.0 stable-20021003 version

* Tue Aug 27 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (fml_4.0_stable_200206810-1m)
- update 4.0 stable-20020810 version

* Thu Jul 18 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (fml_4.0_stable_20020629-1m)
- update 4.0 stable-20020629 version

* Thu Apr 23 2002 TABUCHI Takaaki <tab@kondara.org>
- (fml_4.0_stable_20020421-2k)
- update 4.0 stable-20020421 version

* Wed Mar 03 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml_4.0_stable_20020309-2k)
- update 4.0 stable-20020309 version
- BuildArch: noarch

* Sat Oct 27 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml_4.0_stable_20011022-2k)
- update 4.0 stable-20011022 version

* Sun Sep  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (fml-4.0.1-4k)
- add PreReq: hostname tag

* Sat Jun 30 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0.1-2k)
- update 4.0.1 version
- fixed replacing $CONFIG_DIR with find and perl.

* Mon Jun 25 2001 ISHIBASHI Takeru <takeru@1974.jp>
- (fml-4.0_stable_20010509-2k1)
- debug WebInterfaceCGI's $CONFIG_DIR setting

* Fri May 11 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010509-2k)
- update 4.0 release stable-2001509 version

* Mon Apr 16 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010410-2k)
- update 4.0 release stable-20010410 version
- append "-r" option to groupadd, useradd

* Fri Apr  6 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010405-3k)
- update 4.0 release stable-20010405 version

* Sun Apr  1 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010325-3k)
- update 4.0 release stable-20010325 version
- /var/tmp to %{_tmppath}
- change Source URL.

* Sun Jan 04 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010202-3k)
- update 4.0 release stable-20010202 version

* Tue Nov 05 2000 Kenji Yamaguchi <yamk@kondara.org>
  [fml-3.0.1_stable_20001027-1k]
- update 3.0.1 release stable-20001027 version

* Tue Aug 15 2000 Kenji Yamaguchi <yamk@kondara.org>
  [fml-3.0.1_stable_20000807-1k]
- update 3.0.1 release stable-20000807 version

* Tue Aug  1 2000 Kenji Yamaguchi <yamk@kondara.org>
  [fml-3.0.1_stable_20000729-1k]
- update 3.0.1 release stable-20000729 version

* Sun Jul 10 2000 Kenji Yamaguchi <yamk@kondara.org>
  [fml-3.0.1_stable_20000628-1k]
- update 3.0.1 release stable-20000628 version
- Fixed Source URL.

* Mon Jun 12 2000 Kenji Yamaguchi <yamk@kondara.org>
- 3.0.1 release stable-20000510 version
- remove source1 "fmlmake". That script is here-document.
- _ja is japanese setup

* Sun Jun 11 2000 Kenji Yamaguchi <yamk@kondara.org>
- 3.0.1 release version

* Sun Mar 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group )

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Oct 20 1999 Motonobu Ichimura <famao@kondara.org>
- added AutoReqProv 

* Sat Oct 16 1999 Motonobu Ichimura <famao@kondara.org>
- move BuildRoot from /var to /var/tmp and added some changes

* Thu Oct 14 1999 Motonobu Ichimura <famao@kondara.org>
- first release

